# PASNObjectID Class Reference

A descendant of PASNObject which is an unsigned ASN ObjID type. More...

`#include <pasn.h>`

Inheritance diagram for PASNObjectID:

List of all members.

## Public Member Functions

| PASNObjectID (const PString &str)
| PASNObjectID (PASNOid *val, BYTE theLen)
| PASNObjectID (const PBYTEArray &buffer)
| PASNObjectID (const PBYTEArray &buffer, PINDEX &ptr)
void | PrintOn (ostream &strm) const
| Virtual functions used by the PObject::operator<< function to print the value of the object.
void | Encode (PBYTEArray &buffer)
| Virtual function used to encode the object into ASN format.
WORD | GetEncodedLength ()
| Virtual function used to get the length of object when encoded into ASN format.
PObject * | Clone () const
| Virtual function used to duplicate objects.
ASNType | GetType () const
| Return a value of type enum ASNType which indicates the type of the object.
PString | GetString () const
| Return the value of the object as a PString.
PString | GetTypeAsString () const
| Return a string giving the type of the object.

## Protected Member Functions

PBoolean | Decode (const PBYTEArray &buffer, PINDEX &i)

## Detailed Description

A descendant of PASNObject which is an unsigned ASN ObjID type.

## Constructor & Destructor Documentation

PASNObjectID::PASNObjectID | ( | const PString & | str | ) |

PASNObjectID::PASNObjectID | ( | PASNOid * | val,
|  | BYTE | theLen |
| ) |  |  |

PASNObjectID::PASNObjectID | ( | const PBYTEArray & | buffer | ) |

PASNObjectID::PASNObjectID | ( | const PBYTEArray & | buffer,
|  | PINDEX & | ptr |
| ) |  |  |

## Member Function Documentation

PObject* PASNObjectID::Clone | ( |  | ) | const`[virtual]`

Virtual function used to duplicate objects.

Reimplemented from PASNObject.

PBoolean PASNObjectID::Decode | ( | const PBYTEArray & | buffer,
|  | PINDEX & | i |
| ) |  |  | `[protected]`

void PASNObjectID::Encode | ( | PBYTEArray & | buffer | ) | `[virtual]`

Virtual function used to encode the object into ASN format.

Reimplemented from PASNObject.

WORD PASNObjectID::GetEncodedLength | ( |  | ) | `[virtual]`

Virtual function used to get the length of object when encoded into ASN format.

Reimplemented from PASNObject.

PString PASNObjectID::GetString | ( |  | ) | const`[virtual]`

Return the value of the object as a PString.

This function can be use for all ASN object types

Reimplemented from PASNObject.

ASNType PASNObjectID::GetType | ( |  | ) | const`[virtual]`

Return a value of type enum ASNType which indicates the type of the object.

Reimplemented from PASNObject.

PString PASNObjectID::GetTypeAsString | ( |  | ) | const`[virtual]`

Return a string giving the type of the object.

Reimplemented from PASNObject.

void PASNObjectID::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Virtual functions used by the PObject::operator<< function to print the value of the object.

Reimplemented from PASNObject.

The documentation for this class was generated from the following file:

- pasn.h